Page MenuHomePhabricator

E9. Suppress the redundant "topic created" line in logs (watchlist, contributions, history, recent changes)
Closed, ResolvedPublic2 Estimated Story Points

Description

When a user creates a new Flow topic, we're currently putting two lines into all the logs -- one for creating the topic, and one for posting the first message.

This is an artifact from the days when users could create a topic without posting a first message. That has changed, and now it's just one action. The bug in watchlist + contributions that Helder reported is happening because the topic creation line isn't being suppressed.

The fix is: Suppress the redundant topic creation line -- the action of posting a new thread should be represented as a single action.


Originally filed as: Edited Flow titles shows the old title on Watchlist and Contributions pages

I renamed a topic but the change was not reflected on contributions and watchlist special pages. E.g.:
https://pt.wikipedia.org/w/index.php?title=Especial:Contribui%C3%A7%C3%B5es&dir=prev&offset=20150329182934&limit=2&tagfilter=&contribs=user&target=OTAVIO1981&namespace=&uselang=en

Event Timeline

He7d3r created this task.Mar 29 2015, 7:37 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a project: StructuredDiscussions.
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2015, 7:37 PM
Mattflaschen-WMF triaged this task as High priority.Apr 27 2015, 5:57 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 27 2015, 5:57 PM
DannyH set Security to None.Apr 27 2015, 6:13 PM
DannyH edited a custom field.
DannyH renamed this task from Edited Flow titles shows the old title on Watchlist and Contributions pages to Suppress the redundant "topic created" line in logs (watchlist, contributions, history, recent changes).Jun 26 2015, 6:16 PM
DannyH updated the task description. (Show Details)

Change 221272 had a related patch set uploaded (by Sbisson):
Suppress topic creation entry from RC, watchlist, contributions

https://gerrit.wikimedia.org/r/221272

DannyH renamed this task from Suppress the redundant "topic created" line in logs (watchlist, contributions, history, recent changes) to E9. Suppress the redundant "topic created" line in logs (watchlist, contributions, history, recent changes).Jun 30 2015, 9:05 PM
SBisson added a subscriber: DannyH.Jul 8 2015, 6:57 PM

@DannyH: We stop creating new RC entries for topic creation but the old entries are still lying around. There is code in there to filter it out but Matt pointed out that they are only kept for 30 days so it would be a temporary problem. We could live with it for 30 days or keep the filter but clean it up in a month.

DannyH added a comment.Jul 8 2015, 7:22 PM

It's okay to leave the old RC entries for 30 days. As you say, it's temporary, and logs I'm most concerned about here are the history and contributions. This will be great, thank you.

Change 221272 merged by jenkins-bot:
Suppress topic creation entry from RC, watchlist, contributions and history

https://gerrit.wikimedia.org/r/221272

DannyH closed this task as Resolved.Jul 10 2015, 9:30 PM

Works on Beta